/**
 * 串行化表单数据
 * 
 * */
function eachData(obj) {
	var params = '';
	for(var i=0,len = obj.length;i<len;i++){
		if(obj[i].value.length > 0){
			params += obj[i].name +'='+ obj[i].value+'&';
		}
	}
	return params;
}
/**
 * 取String 或者 object的长度
 * 
 * */
function count(o) {
    var t = typeof o;
    if(t == 'string'){
            return o.length;
    }else if(t == 'object'){
            var n = 0;
            for(var i in o){
                    n++;
            }
            return n;
    }
    return false;
};
/**
 * 简单html静态传值（最后一个=后参数值）
 * 
 * */
function getValue() {
	var localhref = window.location.href;
	var index = parseInt(localhref.lastIndexOf('=')) + 1;
	var val = localhref.substr(index);
	return val;
}

/**
 * 获取用户信息
 * name: 用户名ID
 * pic: 用户头像ID
 * href: 跳转地址
 * type: 用户类型
 * */
function getUserInfo(name,pic,href,type) {
	var name = arguments[0]?arguments[0]:null;
	var pic = arguments[1]?arguments[1]:null;
	var href = arguments[2]?arguments[2]:null;
	var type = arguments[3]?arguments[3]:null;
	mui.ajax('http://lx.ezuan.org/index.php?do=oauthlogin',{
		dataType: 'json',
		type: 'get',
		success: function(data){
			if(data.code == 1){
				//已登录，根据类型跳转不同页面
				if(name){
					name.innerHTML = data.username;
				}
				if(pic){
					data.user_pic = data.user_pic?data.user_pic:'http://lx.ezuan.org/wap/img/user_pic.png';
					pic.setAttribute('src',data.user_pic);
				}
				
				if(href){
					window.location.href = href;
				}
			} else {
				if(href == null){
					mui.toast(data.message);//没有登录请先登录
					window.location.href = 'http://lx.ezuan.org/wap/view/login.html';
				}
			}
		}
	})
	//return userInfo;
}

/**
 * 表单校验工具类
 * 
 **/
function check ()
{
	/**
	 * 匹配Email地址
	 */
	this.isEmail = function (str) {
		if(str==null||str=="") return false;
		var result=str.match(/^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/);
		if(result==null)return false;
		return true;
	}
	/**
	 * 只能输入数字[0-9]
	 */
	this.isDigits = function (str) {
		if(str==null||str=="") return false;
		var result=str.match(/^\d+$/);
		if(result==null)return false;
		return true;
	}
		
	/**
	 * 匹配phone
	 */
	this.isPhone = function (str) {
		if(str==null||str=="") return false;
		var result=str.match(/^((\(\d{2,3}\))|(\d{3}\-))?(\(0\d{2,3}\)|0\d{2,3}-)?[1-9]\d{6,7}(\-\d{1,4})?$/);
		if(result==null)return false;
		return true;
	}     

	/**
	 * 匹配mobile
	 */
	this.isMobile = function (str) {
		if(str==null||str=="") return false;
		var result=str.match(/^((\(\d{2,3}\))|(\d{3}\-))?((13\d{9})|(15\d{9})|(18\d{9}))$/);
		if(result==null)return false;
		return true;
	}     

	/**
	 * 联系电话(手机/电话皆可)验证   
	 */
	this.isTel = function (text) {
		if(isMobile(text)||isPhone(text)) return true;
		return false;
	}

	/**
	 * 匹配密码，以字母开头，长度在6-12之间，只能包含字符、数字和下划线。
	 */
	this.isPwd = function (str) {
		if(str==null||str=="") return false;
		var result=str.match(/^[a-zA-Z0-9_-]\w{5,12}/);
		if(result==null)return false;
		return true;
	}

	/**
	 * 判断是否为合法字符(a-zA-Z0-9-_)
	 */
	this.isRightfulString = function (str) {
		if(str==null||str=="") return false;
		var result=str.match(/^[A-Za-z0-9_-]+$/);
		if(result==null)return false;
		return true;
	}

	/**
	 * 匹配身份证号码
	 */
	this.isIdCardNo = function (num) { 
	　   //　 if (isNaN(num)) {alert("输入的不是数字！"); return false;} 
	　　 var len = num.length, re; 
	　　 if (len == 15) 
	　　 re = new RegExp(/^(\d{6})()?(\d{2})(\d{2})(\d{2})(\d{2})(\w)$/); 
	　　 else if (len == 18) 
	　　 re = new RegExp(/^(\d{6})()?(\d{4})(\d{2})(\d{2})(\d{3})(\w)$/); 
	　　 else {alert("输入的数字位数不对。"); return false;} 
	　　 var a = num.match(re); 
	　　 if (a != null) 
	　　 { 
	　　 if (len==15) 
	　　 { 
	　　 var D = new Date("19"+a[3]+"/"+a[4]+"/"+a[5]); 
	　　 var B = D.getYear()==a[3]&&(D.getMonth()+1)==a[4]&&D.getDate()==a[5]; 
	　　 } 
	　　 else 
	　　 { 
	　　 var D = new Date(a[3]+"/"+a[4]+"/"+a[5]); 
	　　 var B = D.getFullYear()==a[3]&&(D.getMonth()+1)==a[4]&&D.getDate()==a[5]; 
	　　 } 
	　　 if (!B) {alert("输入的身份证号 "+ a[0] +" 里出生日期不对。"); return false;} 
	　　 } 
	　　 if(!re.test(num)){alert("身份证最后一位只能是数字和字母。");return false;}
	　　  
	　　 return true; 
	}

	/**
	 * 匹配汉字
	 */
	this.isChinese = function (str) {
		if(str==null||str=="") return false;
		var result=str.match(/^[\u4e00-\u9fa5]+$/);
		if(result==null)return false;
		return true;
	} 

	/**
	 * 匹配中文(包括汉字和字符)
	 */
	this.isChineseChar = function (str) {
		if(str==null||str=="") return false;
		var result=str.match(/^[\u0391-\uFFE5]+$/);
		if(result==null)return false;
		return true;
	}     

	/**
	 * 字符验证，只能包含中文、英文、数字、下划线等字符。
	 */
	this.stringCheck = function (str) {
		if(str==null||str=="") return false;
		var result=str.match(/^[a-zA-Z0-9\u4e00-\u9fa5-_]+$/);
		if(result==null)return false;
		return true;
	}     

	/**
	 * 过滤中英文特殊字符，除英文"-_"字符外
	 */
	this.stringFilter = function (str) {
		var pattern = new RegExp("[`~!@#$%^&*()+=|{}':;',\\[\\].<>/?~！@#￥%……&*（）——+|{}【】‘；：”“’。，、？]");
		var rs = "";
		for (var i = 0; i < str.length; i++) {
			rs = rs + str.substr(i, 1).replace(pattern, '');
		}
		return rs;
	} 

	/**
	 * 判断是否包含中英文特殊字符，除英文"-_"字符外
	 */
	this.isContainsSpecialChar = function (str) {
		if(str==null||str=="") return false;
		var reg = RegExp(/[(\ )(\`)(\~)(\!)(\@)(\#)(\$)(\%)(\^)(\&)(\*)(\()(\))(\+)(\=)(\|)(\{)(\})(\')(\:)(\;)(\')(',)(\[)(\])(\.)(\<)(\>)(\/)(\?)(\~)(\！)(\@)(\#)(\￥)(\%)(\…)(\&)(\*)(\（)(\）)(\—)(\+)(\|)(\{)(\})(\【)(\】)(\‘)(\；)(\：)(\”)(\“)(\’)(\。)(\，)(\、)(\？)]+/);   
		return reg.test(str);    
	}
}